Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1177494 - Review Request: paper-gtk-theme - Paper GTK Theme [NEEDINFO]
Summary: Review Request: paper-gtk-theme - Paper GTK Theme
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-12-28 03:05 UTC by Eduardo Echeverria
Modified: 2016-07-27 03:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 03:33:27 UTC
e: needinfo? (echevemaster)


Attachments (Terms of Use)

Description Eduardo Echeverria 2014-12-28 03:05:35 UTC
Spec URL: https://echevemaster.fedorapeople.org/paper-gtk-theme/paper-gtk-theme.spec
SRPM URL: https://echevemaster.fedorapeople.org/paper-gtk-theme/paper-gtk-theme-1.0-0.1.20141227gite1d8cb1.fc20.src.rpm

Paper themes for GTK+2, GTK+3, Metacity and GNOME Shell                             

Fedora Account System Username: echevemaster

Comment 1 Upstream Release Monitoring 2015-09-24 15:05:25 UTC
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Comment 2 Mario Blättermann 2015-10-26 18:57:02 UTC
Some initial issues:

The project page has been moved to http://samuelhewitt.com/paper. The old URL is still reachable, but will be redirected to the new one.

Since we ship GTK 3.16 and newer, existing theming engines are unusable. So also the gtk-unico-engine won't work anymore. Please test the behavior, maybe the gtk3 part is now obsolete. On the other hand, the appropriate Ubuntu PPA is active, in the last days the packages have been updated for Wily Werewolf, which already ships GTK 3.16.

Please also put the Gnome Shell stuff in an extra package while keeping only index.theme in the base package. Otherwise all users will get the shell theme, regardless of the targeted desktop environment.


%package plank
Summary:        %{theme_name} for plank
Group:          User Interface/Desktops
Requires:       %{name} = %{version}-%{release}, plank

Plank handles its themes independently from the GTK3 theme. The -plank subpackage shouldn't require the GTK theme at all.


%files
%doc LICENSE

License files should go into %license.

Comment 3 Upstream Release Monitoring 2015-12-03 16:03:57 UTC
pbrobinson's scratch build of gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037959

Comment 4 Upstream Release Monitoring 2015-12-03 16:06:17 UTC
pbrobinson's scratch build of gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037955

Comment 5 Mario Blättermann 2016-03-24 20:12:55 UTC
Any news here...? Paper ist still maintained, but du to some significant changes (no GTK engines anymore, autotools build system etc.) it is absolutely needed to update your package before someone can do a review.

Comment 6 Eduardo Mayorga 2016-07-16 20:10:04 UTC
Any update? If there is no response you, Eduardo, within one week, I'll close this bug as per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews.


Note You need to log in before you can comment on or make changes to this bug.